import { pgTable, integer, varchar, text, uuid } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const BuildComponent = pgTable("builds_components", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "build_components_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	uuid: uuid().defaultRandom().unique(),
	build_id: integer().notNull(),
	product_id: integer().notNull(),
	...timestamps
})